Bug 1273654 - Remove leading space from Enterpise option in Assign to dropdown on Chargeback Assignment page
Remove leading space from Enterpise option in Assign to dropdown on Chargebac...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Nandini Chandra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 17:45 EDT by Nandini Chandra
Modified: 2015-12-08 08:37 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:37:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nandini Chandra 2015-10-20 17:45:08 EDT
Description of problem:
----------------------
Navigate to Cloud Intelligence->Chargebacks->Assignments.Select 'Compute' or 'Storage'.One of the options in the 'Assign to' drop down is Enterprise.
It's actually ' The Enterprise' instead of  'The Enterprise'.Note the leading space in ' The Enterprise'.My automated test works fine in 5.4,but fails in 5.5.
I'm not quite sure what's different in 5.5.Maybe,the new dropdown style shows the text as is, whereas the old drop down cleaned up the leading spaces.

This is a request for the leading space to be removed from ' The Enterprise' string in the code.

Version-Release number of selected component (if applicable):
-------------------
5.5.0.6


How reproducible:
----------------
Always


Steps to Reproduce:
------------------
1.
2.
3.

Actual results:
---------------


Expected results:
----------------


Additional info:
----------------
Comment 4 CFME Bot 2015-10-21 11:35:20 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/03127e43b8c771c219ea9a09a54bf8a5f729d8ad

commit 03127e43b8c771c219ea9a09a54bf8a5f729d8ad
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Oct 20 18:19:46 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Oct 20 18:19:46 2015 -0400

    Trimmed leading space from the "Assign To" pull down values
    
    With patternfly select conversions, leading space in front of "The Enterprise" was causing automate tests to fail. Leading space was added to this entry back when ruby hashes did not retain the order to keep this entry at the top of the pull down. Removed sort from view so values can be displayed in the order they were added in the initial Hash.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1273654

 app/helpers/ui_constants.rb                    | 6 +++---
 app/views/chargeback/_cb_assignments.html.haml | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 Nandini Chandra 2015-10-28 13:20:48 EDT
Verified in 5.5.0.7
Comment 7 errata-xmlrpc 2015-12-08 08:37:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.